Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0013887
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersminorhave not tried2010-07-05 10:302010-12-09 16:03
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision27c60e3b53b0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50SCM revision 
Review Assigned To
Web browser
ModulesUser Interface Application
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0013887: Add keyboard shortcuts to navigation bar and change role/change password dialogs

DescriptionOn the Modules project and the org.openbravo.client.application module:

When tabbing the focus in Profile from field to field, after having focused on the cancel button, hitting tab again will close the flyout menu. This should not be the case: it should just start in the first field again.
In that same menu, would it be possible to be able to use the right (and left) arrow keys to move to Change Password (and back).
That same shortcut could also be used in the top nav in general: when a menu (e.g. quickCreate) is open, then right mouse key would move the focus to the next menu (quickLaunch), also in open state.
Also: ESC to close the flyout menu would be good.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0013884 closedmtaal Several issues org.openbravo.client.application module 

-  Notes
(0029915)
hgbot (developer)
2010-08-12 13:37

Repository: erp/devel/pi
Changeset: ba616948bd771be2472ef26077e40017fdb1f949
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu Aug 12 13:37:32 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ba616948bd771be2472ef26077e40017fdb1f949 [^]

Related to issue 13887: Added MDI KS compatibility in classic ob tabs

---
M src/org/openbravo/erpCommon/security/Login_F1.html
M web/js/shortcuts.js
M web/js/utils.js
---
(0029931)
hudsonbot (developer)
2010-08-13 00:20

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/ba616948bd77 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/b4491b44162a [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.18142.obx [^]
(0029933)
hudsonbot (developer)
2010-08-13 04:05

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/ba616948bd77 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/b4491b44162a [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.18142.obx [^]
(0030235)
hgbot (developer)
2010-08-23 20:02

Repository: erp/devel/pi
Changeset: 0553452b0fea630dbaac32e9f68b381be4ac515e
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Mon Aug 23 20:02:03 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0553452b0fea630dbaac32e9f68b381be4ac515e [^]

Related to issue 13887: Added MDI KS Compatibility in classic ob tabs - part 2

---
M src/org/openbravo/erpCommon/security/Login_F1.html
M web/js/utils.js
---
(0030236)
hgbot (developer)
2010-08-24 00:39

Repository: erp/mods/org.openbravo.userinterface.smartclient
Changeset: 41689cf2f46af176045de9ec739846858836a5de
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Aug 24 00:39:31 2010 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.userinterface.smartclient/rev/41689cf2f46af176045de9ec739846858836a5de [^]

Related to issue 13887: Added KS functionality to 3.00

---
M web/org.openbravo.userinterface.smartclient/js/ob_quickrun_widget.js
---
(0030237)
hgbot (developer)
2010-08-24 00:40

Repository: erp/mods/org.openbravo.client.application
Changeset: 5892c8de977663118f3b7e1289e5ab7dbc5490f9
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Aug 24 00:39:55 2010 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.application/rev/5892c8de977663118f3b7e1289e5ab7dbc5490f9 [^]

Related to issue 13887: Added KS functionality to 3.00

---
M src/org/openbravo/client/application/MainLayoutComponentProvider.java
M src/org/openbravo/client/application/templates/layout.js.ftl
M web/org.openbravo.client.application/js/classic-ob-compatibility.js
M web/org.openbravo.client.application/js/classic-ob-window.js
A web/org.openbravo.client.application/js/keyboard-manager.js
---
(0030238)
hgbot (developer)
2010-08-24 00:42

Repository: erp/mods/org.openbravo.client.navigationbarcomponents
Changeset: c9f84406effcdb1e100a4aa4b5cec98c567cc8e5
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Aug 24 00:40:18 2010 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.navigationbarcomponents/rev/c9f84406effcdb1e100a4aa4b5cec98c567cc8e5 [^]

Related to issue 13887: Added KS functionality to 3.00

---
M src/org/openbravo/client/navigationbarcomponents/QuickCreateComponent.java
M src/org/openbravo/client/navigationbarcomponents/QuickLaunchComponent.java
M src/org/openbravo/client/navigationbarcomponents/templates/application_menu.js.ftl
M src/org/openbravo/client/navigationbarcomponents/templates/quick_launch.js.ftl
M src/org/openbravo/client/navigationbarcomponents/templates/user_info.js.ftl
M web/org.openbravo.client.navigationbarcomponents/js/ob-help-about-widget.js
M web/org.openbravo.client.navigationbarcomponents/js/ob-user-profile-widget.js
---
(0030278)
hudsonbot (developer)
2010-08-25 07:09

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/0553452b0fea [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/8a6a35fc0751 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.18218.obx [^]
(0030346)
hgbot (developer)
2010-08-26 12:39

Repository: erp/mods/org.openbravo.client.application
Changeset: 2470178fa88939ed813558fda9dfb613cc25965d
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu Aug 26 12:38:53 2010 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.application/rev/2470178fa88939ed813558fda9dfb613cc25965d [^]

Related to issue 13887: Added KS functionality to 3.00 - part2

---
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/client/application/templates/layout.js.ftl
M web/org.openbravo.client.application/js/classic-ob-compatibility.js
M web/org.openbravo.client.application/js/keyboard-manager.js
---
(0030348)
hgbot (developer)
2010-08-26 12:39

Repository: erp/mods/org.openbravo.client.navigationbarcomponents
Changeset: 1ffd974d23f1fd29638b3233c1e5207518eb07b5
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu Aug 26 12:39:14 2010 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.navigationbarcomponents/rev/1ffd974d23f1fd29638b3233c1e5207518eb07b5 [^]

Related to issue 13887: Added KS functionality to 3.00 - part2

---
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.client.navigationbarcomponents/js/navigationbarcomponents-application.js
A src-db/database/sourcedata/AD_PREFERENCE.xml
---
(0030396)
mtaal (developer)
2010-08-27 10:09

Scheduled
(0030398)
hgbot (developer)
2010-08-27 10:19

Repository: erp/mods/org.openbravo.client.application
Changeset: 1bae128b3002da0bfbae4d4385c91f2f234ff77a
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Aug 27 10:19:09 2010 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.application/rev/1bae128b3002da0bfbae4d4385c91f2f234ff77a [^]

Related to issue 13887: Add keyboard shortcuts to navigation bar and change role/change password dialogs

---
M src-db/database/sourcedata/AD_PREFERENCE.xml
---
(0030399)
hgbot (developer)
2010-08-27 10:20

Repository: erp/mods/org.openbravo.client.navigationbarcomponents
Changeset: 27c60e3b53b0b39dd4d2febcfb98c681ac376be8
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Aug 27 10:20:46 2010 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.navigationbarcomponents/rev/27c60e3b53b0b39dd4d2febcfb98c681ac376be8 [^]

Fixes issue 13887: Add keyboard shortcuts to navigation bar and change role/change password dialogs

---
M src-db/database/sourcedata/AD_PREFERENCE.xml
---
(0030554)
mtaal (developer)
2010-09-01 10:03

Tested and reviewed
(0030601)
hgbot (developer)
2010-09-03 14:37

Repository: erp/mods/org.openbravo.client.application-new-activation
Changeset: 5892c8de977663118f3b7e1289e5ab7dbc5490f9
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Aug 24 00:39:55 2010 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.application-new-activation/rev/5892c8de977663118f3b7e1289e5ab7dbc5490f9 [^]

Related to issue 13887: Added KS functionality to 3.00

---
M src/org/openbravo/client/application/MainLayoutComponentProvider.java
M src/org/openbravo/client/application/templates/layout.js.ftl
M web/org.openbravo.client.application/js/classic-ob-compatibility.js
M web/org.openbravo.client.application/js/classic-ob-window.js
A web/org.openbravo.client.application/js/keyboard-manager.js
---
(0030602)
hgbot (developer)
2010-09-03 14:37

Repository: erp/mods/org.openbravo.client.application-new-activation
Changeset: 2470178fa88939ed813558fda9dfb613cc25965d
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu Aug 26 12:38:53 2010 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.application-new-activation/rev/2470178fa88939ed813558fda9dfb613cc25965d [^]

Related to issue 13887: Added KS functionality to 3.00 - part2

---
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/client/application/templates/layout.js.ftl
M web/org.openbravo.client.application/js/classic-ob-compatibility.js
M web/org.openbravo.client.application/js/keyboard-manager.js
---
(0030603)
hgbot (developer)
2010-09-03 14:37

Repository: erp/mods/org.openbravo.client.application-new-activation
Changeset: 1bae128b3002da0bfbae4d4385c91f2f234ff77a
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Aug 27 10:19:09 2010 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.application-new-activation/rev/1bae128b3002da0bfbae4d4385c91f2f234ff77a [^]

Related to issue 13887: Add keyboard shortcuts to navigation bar and change role/change password dialogs

---
M src-db/database/sourcedata/AD_PREFERENCE.xml
---

- Issue History
Date Modified Username Field Change
2010-07-05 10:30 mtaal New Issue
2010-07-05 10:30 mtaal Assigned To => mtaal
2010-07-05 10:31 mtaal Relationship added has duplicate 0013884
2010-07-06 13:53 rgoris Issue Monitored: rgoris
2010-08-12 13:37 hgbot Checkin
2010-08-12 13:37 hgbot Note Added: 0029915
2010-08-13 00:20 hudsonbot Checkin
2010-08-13 00:20 hudsonbot Note Added: 0029931
2010-08-13 04:05 hudsonbot Checkin
2010-08-13 04:05 hudsonbot Note Added: 0029933
2010-08-23 20:02 hgbot Checkin
2010-08-23 20:02 hgbot Note Added: 0030235
2010-08-24 00:39 hgbot Checkin
2010-08-24 00:39 hgbot Note Added: 0030236
2010-08-24 00:40 hgbot Checkin
2010-08-24 00:40 hgbot Note Added: 0030237
2010-08-24 00:42 hgbot Checkin
2010-08-24 00:42 hgbot Note Added: 0030238
2010-08-25 07:09 hudsonbot Checkin
2010-08-25 07:09 hudsonbot Note Added: 0030278
2010-08-26 12:39 hgbot Checkin
2010-08-26 12:39 hgbot Note Added: 0030346
2010-08-26 12:39 hgbot Checkin
2010-08-26 12:39 hgbot Note Added: 0030348
2010-08-27 10:09 mtaal Status new => scheduled
2010-08-27 10:09 mtaal Note Added: 0030396
2010-08-27 10:09 mtaal fix_in_branch => pi
2010-08-27 10:19 hgbot Checkin
2010-08-27 10:19 hgbot Note Added: 0030398
2010-08-27 10:20 hgbot Checkin
2010-08-27 10:20 hgbot Note Added: 0030399
2010-08-27 10:20 hgbot Status scheduled => resolved
2010-08-27 10:20 hgbot Resolution open => fixed
2010-08-27 10:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/mods/org.openbravo.client.navigationbarcomponents/rev/27c60e3b53b0b39dd4d2febcfb98c681ac376be8 [^]
2010-09-01 10:03 mtaal Note Added: 0030554
2010-09-01 10:03 mtaal Status resolved => closed
2010-09-03 14:37 hgbot Checkin
2010-09-03 14:37 hgbot Note Added: 0030601
2010-09-03 14:37 hgbot Checkin
2010-09-03 14:37 hgbot Note Added: 0030602
2010-09-03 14:37 hgbot Checkin
2010-09-03 14:37 hgbot Note Added: 0030603
2010-12-09 16:03 anonymous sf_bug_id 0 => 3133306


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker